use std::path::PathBuf;

use clap::Args;

#[derive(Debug, Args)]
pub struct PowerEqualResultOption {
    #[arg(help = "Certificate file")]
    key_file: PathBuf,
}

pub fn calculate_equal_result(options: PowerEqualResultOption) {
    let cert = cert_lib::load_certificate(options.key_file).expect("load certificate failed");
    let result =
        cert_lib::calculate_power_euqal_result(cert).expect("calculate equal result failed");
    println!("{}", result);
}
